package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class SepaIbanBic.
 * @see sicura.entities.SepaIbanBic
 * @author Hibernate Tools
 */
@Stateless
public class SepaIbanBicHome {

	private static final Log log = LogFactory.getLog(SepaIbanBicHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(SepaIbanBic transientInstance) {
		log.debug("persisting SepaIbanBic instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(SepaIbanBic persistentInstance) {
		log.debug("removing SepaIbanBic instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public SepaIbanBic merge(SepaIbanBic detachedInstance) {
		log.debug("merging SepaIbanBic instance");
		try {
			SepaIbanBic result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public SepaIbanBic findById(Integer id) {
		log.debug("getting SepaIbanBic instance with id: " + id);
		try {
			SepaIbanBic instance = entityManager.find(SepaIbanBic.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
